Subject: [alpine-aports] [PATCH] testing/pelican: new aport

From: Danilo Falcão <[email-masked]>
Date: Tue, 5 Jul 2016 17:08:23 +0100

From: Danilo Falcão <[email-masked]>

https://pypi.python.org/pypi/pelican/
A tool to generate a static blog from reStructuredText or Markdown input files.
---
 testing/pelican/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/pelican/APKBUILD

diff --git a/testing/pelican/APKBUILD b/testing/pelican/APKBUILD
new file mode 100644
index 0000000..e797f2f
--- /dev/null
+++ b/testing/pelican/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Danilo Falcão <[email-masked]>
+# Maintainer: Danilo Falcão <[email-masked]>
+pkgname=pelican
+_pkgname=pelican
+pkgver=3.6.3
+pkgrel=0
+pkgdesc="A tool to generate a static blog from reStructuredText or Markdown input files."
+url="https://pypi.python.org/pypi/pelican/"
+arch="noarch"
+license="GPL3"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="ee4110fc60af26459f4e2f7c9fa9cdd5  pelican-3.6.3.tar.gz"
+sha256sums="13b9c41ea3342b7eb0fd7f74078b5a8d5035632f05d8680266f50f4c5626c9c2  pelican-3.6.3.tar.gz"
+sha512sums="2494c263ba8dcbe790dda7c0e67e473d7d00326c2f35319b45b424f7fbea21139c70d1174b8363535bf37a1670f0f08c43abca0b5029efc42a57ed2d7de6e6b2  pelican-3.6.3.tar.gz"
-- 
2.9.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---